EnableExplicit

OpenLibrary(#PB_Any, "userlibraries/jquery.raty/jquery.raty.css")
OpenLibrary(#PB_Any, "userlibraries/jquery.raty/jquery.raty.js")

Procedure RatingGadget_ResizeGadget(Gadget, x, y, Width, Height)
	! var selector = $("#g_" + Gadget);
	! selector = selector.parent();
	!	if (x !== cConstants.PB_Ignore) selector.css("left", x);
	!	if (y !== cConstants.PB_Ignore) selector.css("top", y);
	!	if (Width !== cConstants.PB_Ignore) selector.css("width", Width);	
	!	if (Height !== cConstants.PB_Ignore) selector.css("height", Height);	
EndProcedure
RegisterUserGadgetProcedure("RatingGadget", "ResizeGadget", @RatingGadget_ResizeGadget())

Procedure RatingGadget_SetGadgetState(Gadget, State)
	!	var selector = $("#g_" + Gadget);
	!	selector.raty('score', State);
EndProcedure
RegisterUserGadgetProcedure("RatingGadget", "SetGadgetState", @RatingGadget_SetGadgetState())

Procedure RatingGadget_GetGadgetState(Gadget)
	!	var selector = $("#g_" + Gadget);
	!	if (selector.raty('score')) return selector.raty('score');
	!	return 0;
EndProcedure
RegisterUserGadgetProcedure("RatingGadget", "GetGadgetState", @RatingGadget_GetGadgetState())

Procedure RatingGadget(Gadget, x, y, Width, Height, Stars = 5,
                       StarOn = -1, StarOff = -1, 
                       CancelOn = -1, CancelOff = -1,
                       CancelPlace.s = "left")
	
	!	var Gadget = cCommon.SetGadgetAndStuff(Gadget);
	
	!	var ratingGadget = $("<div />")
	
	!	ratingGadget.attr("id", "g_" + Gadget);
	
	!	cCommon.CurrentContainer.append(ratingGadget);
	
	!	var iStarOn = "star-on.png";
	!	if (StarOn !== -1) {
	!		if ($("#i_" + StarOn).attr("src")) {
	!			iStarOn = "../../../" + $("#i_" + StarOn).attr("src");
	!		}
	!	}
	
	!	var iStarOff = "star-off.png";
	!	if (StarOff !== -1) {
	!		if ($("#i_" + StarOff).attr("src")) {
	!			iStarOff = "../../../" + $("#i_" + StarOff).attr("src");
	!		}
	!	}
	
	!	var iCancelOff = "cancel-off.png";
	!	if (CancelOff !== -1) {
	!		if ($("#i_" + CancelOff).attr("src")) {
	!			iCancelOff = "../../../" + $("#i_" + CancelOff).attr("src");
	!		}
	!	}
	
	!	var iCancelOn = "cancel-on.png";
	!	if (CancelOn !== -1) {
	!		if ($("#i_" + CancelOn).attr("src")) {
	!			iCancelOn = "../../../" + $("#i_" + CancelOn).attr("src");
	!		}
	!	}
	
	!	ratingGadget.raty({
	!		number: Stars,
	!		path: "userlibraries/jquery.raty/images",
	!		starOn: iStarOn,
	!		starOff: iStarOff,
	!		cancelOff: iCancelOff,
	!		cancelOn: iCancelOn,
	!		cancelPlace: CancelPlace
	!	});
	
	!	ratingGadget.css({ "position": "absolute", "top": y, "left": x, "width": Width, "height": Height });
	
	!	ratingGadget.data("GadgetType", "RatingGadget");
	
	!	cGadget.GetDefaultColors(ratingGadget);
	
	!	if ($.fn.GadgetsEvents) cGadget.BindGadgetEvent(Gadget, $.fn.GadgetsEvents);
	
	!	return Gadget;
	
EndProcedure
; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 20
; Folding = w
; EnableXP