EnableExplicit

OpenLibrary(#PB_Any, "userlibraries/jquery.slick/slick.css")
OpenLibrary(#PB_Any, "userlibraries/jquery.slick/slick.min.js")

Procedure SlideGadget_GetGadgetState(Gadget)
	!	var selector = $("#g_" + Gadget);
	! return selector.slick('slickCurrentSlide');
EndProcedure
RegisterUserGadgetProcedure("SlideGadget", "GetGadgetState", @SlideGadget_GetGadgetState())

Procedure SlideGadget_SetGadgetState(Gadget, State)
	!	var selector = $("#g_" + Gadget);
	! selector.slick("slickGoTo", State);
EndProcedure
RegisterUserGadgetProcedure("SlideGadget", "SetGadgetState", @SlideGadget_SetGadgetState())

Procedure SlideGadget_AddGadgetItem(Gadget, Position, Text, ImageID = -1, Flags = 0)
	! var selector = $("#g_" + Gadget);
	! var divSelector = $("<div style='position:relative'>" + Text + "</div>")
	If Position = -1
		! selector.slick('slickAdd', divSelector);
	Else
		! selector.slick('slickAdd', divSelector, Position);
	EndIf
	!	return divSelector;
EndProcedure
RegisterUserGadgetProcedure("SlideGadget", "AddGadgetItem", @SlideGadget_AddGadgetItem())

; ----

Procedure SlideGadget(Gadget, x, y, Width, Height, Flags = 0)
	
	!	var slideGadget = new cControl(Gadget, x, y, Width, Height, "<div />");
	!	slideGadget.selector.css("overflow", "auto");
	!	slideGadget.selector.data("GadgetType", "SlideGadget");
	
	!	cCommon.CurrentContainer.append(slideGadget.selector);
	
	!	if (Flags === 0) {
	!		Flags = {
	!			arrows: false,
	!			infinite: false
	!		}
	!	}
	
	!	slideGadget.selector.slick(Flags);
	
	!	slideGadget.selector.find(".slick-list").css("height", "100%");
	!	slideGadget.selector.find(".slick-track").css("height", "100%");
	
	!	return slideGadget.ident
	
EndProcedure
; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 17
; Folding = -
; EnableXP