XIncludeFile "..\p2w.pbi"

P2W_Converter_SetProfile("pb2webtest")

Procedure KeyChangeCallback()
	
	Debug "Key/Value has changed!"
	
 	P2W_LocalStorage_StopListening("myKey")
	
EndProcedure

; for browser-support, see: http://www.jstorage.info/

If P2W_LocalStorage_Available()
	
 	P2W_LocalStorage_ListenKeyChange("myKey", @KeyChangeCallback())
 	
 	Debug P2W_LocalStorage_GetItem("myKey", "myDefaultValue") ;should return 'myDefaultValue'
	
	P2W_LocalStorage_SetItem("myKey", "myValue") ; Set Item
	
	Debug P2W_LocalStorage_GetItem("myKey", "myDefaultValue") ;should now return 'myValue'
	
	P2W_LocalStorage_RemoveItem("myKey")
	
	Debug P2W_LocalStorage_GetItem("myKey", "myDefaultValue") ;should return 'myDefaultValue' again
	
	P2W_LocalStorage_Clear() ; Clear all keys
	
Else
	
	MessageRequester("Sorry!", "Unfortunately your browser doesn't support LocalStorage")
	
EndIf

; IDE Options = PureBasic 5.22 LTS (Windows - x86)
; CursorPosition = 16
; Folding = -
; EnableXP