XIncludeFile "..\p2w.pbi"

P2W_Converter_SetProfile("pb2webtest_mobile")

Global myPage
Global myFlipSwitch1
Global myFlipSwitch2
Global mySlider

Procedure myButton1Event()
	
	If GetWidgetState(myFlipSwitch1) = #PB_FlipSwitch_On
		SetWidgetState(myFlipSwitch1, #PB_FlipSwitch_Off);
	Else
		SetWidgetState(myFlipSwitch1, #PB_FlipSwitch_On);
	EndIf
	
EndProcedure
; 
Procedure myButton2Event()
	FreeWidget(mySlider)
EndProcedure

myPage = NewPage("MobileTest")

myHeader  = NewWidget("header",  myPage)
SetWidgetAttribute(myHeader, #PB_Widget_Html, @"<h1>Header</h1>")


Define pgLogin_cmdHome = NewWidget("linkbutton", myHeader)
SetWidgetAttribute(pgLogin_cmdHome, #PB_Widget_Position, @"left")
SetWidgetAttribute(pgLogin_cmdHome, #PB_Widget_Icon, @"home")
SetWidgetAttribute(pgLogin_cmdHome, #PB_Widget_IconPosition, @"notext")

; ///

Define CG = NewWidget("controlgroup", myHeader)
SetWidgetAttribute(CG, #PB_Widget_Position, @"right")
SetWidgetAttribute(CG, #PB_Widget_Type, @"horizontal")

;

Define pgLogin_cmdLa = NewWidget("linkbutton", CG)
SetWidgetText(pgLogin_cmdLa, "Foo1")
SetWidgetAttribute(pgLogin_cmdLa, #PB_Widget_Icon, @"lock")

;

Define pgLogin_cmdLa2 = NewWidget("linkbutton", CG)
SetWidgetText(pgLogin_cmdLa2, "Foo2")
SetWidgetAttribute(pgLogin_cmdLa2, #PB_Widget_Icon, @"lock")

; ///

myContent = NewWidget("content", myPage)

myFooter  = NewWidget("footer",  myPage)
SetWidgetAttribute(myFooter, #PB_Widget_Html, @"<h4>Footer</h4>")

; ----------

myControlGroup = NewWidget("controlgroup", myContent)

myFlipSwitch1 = NewWidget("flipswitch", myControlGroup)
myFlipSwitch2 = NewWidget("flipswitch", myControlGroup)

; ----------

myControlGroup = NewWidget("controlgroup", myContent)
; SetWidgetAttribute(myControlGroup, "data-type", "horizontal")

myButton1 = NewWidget("button", myControlGroup)
SetWidgetText(myButton1, "Test Flipswitch")
BindWidgetEvent(myButton1, "click", @myButton1Event())

myButton2 = NewWidget("button", myControlGroup)
SetWidgetText(myButton2, "Remove Slider")
BindWidgetEvent(myButton2, "click", @myButton2Event())

myButton3 = NewWidget("button", myControlGroup)
SetWidgetText(myButton3, "Button3")

myButton4 = NewWidget("button", myControlGroup)
SetWidgetText(myButton4, "Button4")

mySlider = NewWidget("slider", myContent)

SetWidgetAttribute(mySlider, #PB_Widget_Minimum, 0)
SetWidgetAttribute(mySlider, #PB_Widget_Maximum, 100)
SetWidgetAttribute(mySlider, #PB_Widget_Step, 10)
SetWidgetAttribute(mySlider, #PB_Widget_Value, 50)

SetWidgetItemText(mySlider, #PB_Widget_LabelText, "Slider:")



OpenPage(myPage)
 
; myCheckBoxRadioWidget1 = CheckBoxRadioWidget(#PB_Any, "yes?", #PB_Checkbox_Checked);
; myCheckBoxRadioWidget2 = CheckBoxRadioWidget(#PB_Any, "yes?", #PB_Checkbox_Unchecked);
; 
; SetWidgetText(myCheckBoxRadioWidget2, "no!");
; 
; myListViewWidget = ListViewWidget(#PB_Any);
; 
; AddWidgetItem(myListViewWidget, 0, "item1");
; AddWidgetItem(myListViewWidget, 0, "item2");
; AddWidgetItem(myListViewWidget, 0, "item3");
; 
; TextInputWidget(#PB_Any, "", #PB_TextInput_Text, "Text");
; TextInputWidget(#PB_Any, "", #PB_TextInput_Color, "Color");
; 

; IDE Options = PureBasic 5.41 LTS (Windows - x86)
; CursorPosition = 66
; FirstLine = 48
; Folding = -
; EnableXP