XIncludeFile "..\p2w.pbi"

P2W_Converter_SetProfile("pb2webtest")

EnableExplicit

Enumeration
	#Desktop
	#Window1
	#Window2
	#PopupMenu1 
	#PopupMenu2
EndEnumeration

P2W_SetDesktopID(#Desktop)

SetWindowTitle(#Desktop, "PopupMenu-Test")

Procedure Window1RightClickEvent()
	DisplayPopupMenu(#PopupMenu1, WindowID(#Window1))
EndProcedure

Procedure Window2RightClickEvent()
	DisplayPopupMenu(#PopupMenu2, GadgetID(#Window2))
EndProcedure

Procedure PopupMenu1Event()
	Debug "an item in Popup1 was clicked"
EndProcedure

Procedure PopupMenu2Event()
	Debug "an item in Popup2 was clicked"
EndProcedure

; PopupMenu1

CreatePopupMenu(#PopupMenu1)
MenuItem(1, "Open", @"ui-icon-folder-open") ; custom icon. see: http://api.jqueryui.com/theming/icons/
MenuItem(2, "Save")
MenuItem(3, "Save as")
MenuItem(4, "Quit")
MenuBar()
OpenSubMenu("Recent files")
MenuItem(5, "PureBasic.exe")
MenuItem(6, "Test.txt")
CloseSubMenu()

BindMenuEvent(#PopupMenu1, 1, @PopupMenu1Event())

; PopupMenu2

CreatePopupMenu(#PopupMenu2)
MenuItem(7, "Add", @"ui-icon-plus")
MenuItem(8, "Edit", @"ui-icon-pencil")
MenuItem(9, "Delete", @"ui-icon-trash")

BindMenuEvent(#PopupMenu2, 7, @PopupMenu2Event())

; ----------

OpenWindow(#Window1, 10, 10, 200, 100, "Win1")
TextGadget(#PB_Any, 10, 10, 100, 30, "Right click here")
BindEvent(#PB_Event_RightClick, @Window1RightClickEvent(), #Window1)

OpenWindow(#Window2, 200, 200, 200, 100, "Win2")
TextGadget(#PB_Any, 10, 10, 100, 30, "... or here")
BindEvent(#PB_Event_RightClick, @Window2RightClickEvent(), #Window2)


; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 14
; FirstLine = 3
; Folding = -
; EnableXP