XIncludeFile "ProgressBarGadget.pbf"

XIncludeFile "..\p2w.pbi"

P2W_Converter_SetProfile("pb2webtest")

#myTimer = 0

Procedure TimerEvent()
  
  Protected myProgressValue
  
  myProgressValue = GetGadgetState(#ProgressBar_0)
  
  myProgressValue = myProgressValue + 1
  
  If myProgressValue > 100 : myProgressValue = 0 : EndIf
  
  SetGadgetState(#ProgressBar_0, myProgressValue)
  
EndProcedure

Procedure cmdStartProgress_Event()
  
  AddWindowTimer(#frmMain, #myTimer, 200)
  BindEvent(#PB_Event_Timer, @TimerEvent(), #frmMain, #myTimer)
  
  DisableGadget(#cmdStartProgress, #True)
  DisableGadget(#cmdStopProgress, #False)
  
  DisableGadget(#cmdGetValue, #True)
  DisableGadget(#cmdSetValue, #True)
  DisableGadget(#txtValue, #True)
  
EndProcedure

Procedure cmdStopProgress_Event()
  
  RemoveWindowTimer(#frmMain, #myTimer)
  
  DisableGadget(#cmdStartProgress, #False)
  DisableGadget(#cmdStopProgress, #True)
  
  DisableGadget(#cmdGetValue, #False)
  DisableGadget(#cmdSetValue, #False)
  DisableGadget(#txtValue, #False)
  
EndProcedure

Procedure cmdSetValue_Event()
	
	Protected myProgressValue
	
	myProgressValue = Val(GetGadgetText(#txtValue))
	
	If myProgressValue > 100 : myProgressValue = 100 : EndIf
	If myProgressValue <   0 : myProgressValue =   0 : EndIf
	
	SetGadgetText(#txtValue, Str(myProgressValue))
	
	SetGadgetState(#ProgressBar_0, myProgressValue)
	
EndProcedure

Procedure cmdGetValue_Event()
	
	MessageRequester("ProgressBarGadget", "Value = " + Str(GetGadgetState(#ProgressBar_0)))
	
EndProcedure

Procedure CloseWindow_Event()
	
  RemoveWindowTimer(#frmMain, #myTimer)
	
EndProcedure

OpenfrmMain()

DisableGadget(#cmdStopProgress, #True)

BindGadgetEvent(#cmdStartProgress, @cmdStartProgress_Event())
BindGadgetEvent(#cmdStopProgress, @cmdStopProgress_Event())
BindGadgetEvent(#cmdSetValue, @cmdSetValue_Event())
BindGadgetEvent(#cmdGetValue, @cmdGetValue_Event())

BindEvent(#PB_Event_CloseWindow, @CloseWindow_Event(), #frmMain);

P2W_Converter_Begin_Comment
  Repeat : Until WaitWindowEvent() = #PB_Event_CloseWindow
P2W_Converter_End_Comment

; IDE Options = PureBasic 5.30 (Windows - x86)
; CursorPosition = 46
; FirstLine = 27
; Folding = --
; EnableXP