EnableExplicit

XIncludeFile "..\p2w.pbi"

P2W_Converter_SetProfile("pb2webtest")

OpenWindow(0, 10, 10, 420, 420, "I'm feeling kinda seasick", #PB_Window_ScreenCentered);

Global NewList Sprite()

Global Stage, Sprite1, Sprite2, Sprite3, Sprite4, Renderer

Stage = P2W_CreateStage(RGB(255, 255, 255))

Renderer = P2W_RenderGadget(#PB_Any, 10, 10, WindowWidth(0) - 20, WindowHeight(0) - 20)

; The anchor sets the origin point of the texture. 
; The default is 0, 0 this means the textures origin is the top left 
; Setting the anchor To 0.5, 0.5 means the textures origin is centered 
; Setting the anchor To 1, 1 would mean the textures origin points will be the bottom right

Global Counter
Define mySprite

Define newY = 40
Define newX = 40

For Counter = 1 To 25
  
  AddElement(Sprite())
  
  mySprite = P2W_CreateSprite("avatar.png")
  
  Sprite() = mySprite
  
  P2W_AddStageChild(Stage, Sprite())
  
  P2W_AnchorSprite(Sprite(), 0.5, 0.5)
  
  DisplaySprite(Sprite(), newX, newY)
  
  newX + 80
  
  If Mod(Counter, 5) = 0
    newX = 40
    newY + 80
  EndIf
  
  
Next

Procedure animate() 
  
  ForEach Sprite()
    
    If Mod(ListIndex(Sprite()), 2) = 0
      RotateSprite(Sprite(), -0.1, #PB_Relative)
    Else
      RotateSprite(Sprite(), 0.1, #PB_Relative)
    EndIf
    
  Next

  P2W_RenderStage(Renderer, Stage)
  
  P2W_RequestAnimFrame(@animate())
  
EndProcedure

P2W_RequestAnimFrame(@animate())


DataSection
  IncludeBinary "avatar.png"
EndDataSection

; IDE Options = PureBasic 5.50 (Windows - x86)
; CursorPosition = 22
; FirstLine = 7
; Folding = -
; EnableXP