XIncludeFile "..\p2w.pbi"

P2W_Converter_SetProfile("pb2webtest")

Enumeration
	#Desktop
	#lblPhase
	#lblDirection
	#lblDistance
	#lblDuration
	#lblFingerCount
	#divSwipe
EndEnumeration

Procedure onSwipe(event, phase, direction, distance, duration, fingerCount, fingerData)
	
	; Here we can check the...
	; phase: 'start', 'move', 'end', 'cancel'
	; direction: 'left', 'right', 'up', 'down'
	; distance: Distance finger is from initial touch point in px
	; duration: Length of swipe in MS 
	; fingerCount: the number of fingers used
	
	SetGadgetText(#lblPhase, Str(phase))
	SetGadgetText(#lblDirection, Str(direction))
	SetGadgetText(#lblDistance, Str(distance))
	SetGadgetText(#lblDuration, Str(duration))
	SetGadgetText(#lblFingerCount, Str(fingerCount))
	
EndProcedure

OpenWindow(#Desktop, 0, 0, 0, 0, "Swipe-Test", #PB_Window_BorderLess | #PB_Window_Maximize)

TextGadget(#PB_Any, 8,     8, 100, 16, "Phase:")
TextGadget(#PB_Any, 8,    32, 100, 16, "Direction:")
TextGadget(#PB_Any, 8,    56, 100, 16, "Distance:")
TextGadget(#PB_Any, 250,   8, 100, 16, "Duration")
TextGadget(#PB_Any, 250,  32, 100, 16, "Fingercount:")

TextGadget(#lblPhase,       112,   8, 100, 16, "--")
TextGadget(#lblDirection,   112,  32, 100, 16, "--")
TextGadget(#lblDistance,    112,  56, 100, 16, "--")
TextGadget(#lblDuration,    360,   8, 100, 16, "--")
TextGadget(#lblFingerCount, 360,  32, 100, 16, "--")

HtmlGadget(#divSwipe, 8, 80, 500, 200, "<div />")

Define jqo = P2W_JQO_FromGadget(#divSwipe)

P2W_JQO_CSS(jqo, "border", "1px solid black")

BindGadgetEvent(#divSwipe, @onSwipe(), #PB_EventType_Swipe)

; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 31
; Folding = -
; EnableXP