EnableExplicit

XIncludeFile "..\..\..\p2w.pbi"
XIncludeFile "..\..\..\UserGadgets\TinyMceGadget\TinyMceGadget.pbi"

P2W_Converter_SetProfile("pb2webtest")

UsePDF()

Enumeration
	#myWindow
	#cmdOpenEditor
	#myTinyMceGadget
	#myWindow_cmdGetText
	#myWindow_cmdGetHtml
EndEnumeration

; ##################

; --------------------------------
; set Language:
; --------------------------------

; #PB_TinyMceGadget_Language = "fr_FR"
; P2W_SetEditorLanguage("fr_FR") ; set Language to french
; in PB2Web there are three languages available: 'en_GB' (default), 'de' and 'fr_FR'
; 
; if you want to support more languages, then you can download them here: http://www.tinymce.com/i18n/index.php
; ... and put it into the folder '[..]\pb2web\system\libraries\tinymce\langs\'

; --------------------------------
; set Plugins (here: full featured)
; --------------------------------

; here is a list of all plugins: http://www.tinymce.com/wiki.php/Plugins

PB_TinyMceGadget_Plugins = "pdf advlist autolink lists link image charmap print " + 
                           "preview hr anchor pagebreak searchreplace wordcount " + 
                           "visualblocks visualchars code fullscreen insertdatetime " + 
                           "media nonbreaking save table contextmenu directionality " + 
                           "emoticons template paste textcolor"

; --------------------------------
; MenuBar / ToolBar
; --------------------------------

; here you can find a list of all available toolbar/menu controls that you can add to the editor:
; http://www.tinymce.com/wiki.php/Controls

; --------------------------------
; set MenuBar:
; --------------------------------

PB_TinyMceGadget_MenuBar = "file edit insert view format table tools"

; if you want to have the standard MenuBar (regarding to the loaded plugins above), just pass an empty string ("") 
; P2W_SetEditorMenuBar("")

; if you don't want to show a MenuBar, just pass "false" (as a string)
; P2W_SetEditorMenuBar("false")

; --------------------------------
; set ToolBar:
; --------------------------------

PB_TinyMceGadget_ToolBar = "pdf | " + 
                           "undo redo | " + 
                           "styleselect | "  + 
                           "bold italic | " + 
                           "alignleft aligncenter alignright alignjustify | " + 
                           "bullist numlist outdent indent | " + 
                           "link image | " + 
                           "print preview media | "  + 
                           "forecolor backcolor emoticons code"


; if you want to have the standard ToolBar (regarding to the loaded plugins above), just pass an empty string ("") 
; P2W_SetEditorToolBar("")

; if you don't want to show a ToolBar, just pass "false" (as a string)
; P2W_SetEditorToolBar("false")

; --------------------------------
; show StatusBar ( #True or #False)
; --------------------------------

PB_TinyMceGadget_StatusBar = #False
; P2W_SetEditorStatusBar(#False)

; --------------------------------

PB_TinyMceGadget_PdfFilename = "FromPB2Web.pdf"

Procedure GetEditorGadgetHtml()
	P2W_Alert(GetGadgetHtml(#myTinyMceGadget))
EndProcedure

Procedure GetEditorGadgetText()
	P2W_Alert(GetGadgetText(#myTinyMceGadget))
EndProcedure

Procedure CloseWindowEvent()
	CloseWindow(#myWindow)
EndProcedure

Procedure EditorReady()
	Debug "EditorReady()"
	SetGadgetText(#myTinyMceGadget, "Hello <span style='color: rgb(255, 0, 0); font-weight: bold;'>PB2Web</span>-World!")
EndProcedure

Procedure OpenEditor()
	
	OpenWindow(#myWindow, 400, 100, 800, 600, "TinyMceGadget()", #PB_Window_ScreenCentered | #PB_Window_SystemMenu, 1)
	
	TinyMceGadget(#myTinyMceGadget, 
	              10, 
	              10, 
	              WindowWidth(#myWindow) - 20, 
	              WindowHeight(#myWindow) - 180,
	              0,
	              @EditorReady())
	
	BindEvent(#PB_Event_CloseWindow, @CloseWindowEvent(), #myWindow)
	
	ButtonGadget(#myWindow_cmdGetHtml, 10, WindowHeight(#myWindow) - 50, 300, 30, "GetGadgetHtml()")
	BindGadgetEvent(#myWindow_cmdGetHtml, @GetEditorGadgetHtml())

	ButtonGadget(#myWindow_cmdGetText, 320, WindowHeight(#myWindow) - 50, 300, 30, "GetGadgetText()")
	BindGadgetEvent(#myWindow_cmdGetText, @GetEditorGadgetText())

EndProcedure

ButtonGadget(#cmdOpenEditor, 10, 10, 100, 50, "Open Editor")

BindGadgetEvent(#cmdOpenEditor, @OpenEditor())

OpenEditor()

; IDE Options = PureBasic 5.42 Beta 5 LTS (Windows - x86)
; CursorPosition = 105
; FirstLine = 83
; Folding = n-
; EnableXP