EnableExplicit

XIncludeFile "..\p2w.pbi"

P2W_Converter_SetProfile("pb2webtest")

Enumeration
	#cmdShowAtTopCenter
	#cmdShowAtBottomCenter
EndEnumeration

Procedure cmdShowAtTopCenterEvent()
	
	EnableJS
	; noty({
	;     text: 'Look! I am at the top center',
	;     layout : 'topCenter'
	; });
	DisableJS
	
EndProcedure

Procedure cmdShowAtBottomCenterEvent()
	
	EnableJS
	; noty({
	;     text: 'Look! I am at the bottom center',
	;     layout : 'bottomCenter'
	; });
	DisableJS
	
EndProcedure

Procedure NotyWasNotLoaded()
	Debug "Noty was not loaded :-("
EndProcedure

Procedure NotyWasLoaded()
	Debug "Noty was loaded :-)"
	DisableGadget(#cmdShowAtTopCenter, #False)
	DisableGadget(#cmdShowAtBottomCenter, #False)
EndProcedure

OpenLibrary(#PB_Any, 
            "libraries/noty/packaged/jquery.noty.packaged.min.js", 
            @NotyWasLoaded(), 
            @NotyWasNotLoaded()) 

ButtonGadget(#cmdShowAtTopCenter, 10, 10, 300, 30, "Show notification at top center")
DisableGadget(#cmdShowAtTopCenter, #True)
BindGadgetEvent(#cmdShowAtTopCenter, @cmdShowAtTopCenterEvent(), #PB_EventType_LeftClick)

ButtonGadget(#cmdShowAtBottomCenter, 10, 50, 300, 30, "Show notification at bottom center")
DisableGadget(#cmdShowAtBottomCenter, #True)
BindGadgetEvent(#cmdShowAtBottomCenter, @cmdShowAtBottomCenterEvent(), #PB_EventType_LeftClick)

; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 47
; FirstLine = 7
; Folding = -
; EnableXP