Procedure.s EventTypeAsString(EventType)
	
	Protected ReturnValue.s
	
	Select EventType
			
		Case #PB_EventType_DownloadEnd: ReturnValue = "#PB_EventType_DownloadEnd"
		Case #PB_EventType_DownloadProgress: ReturnValue = "#PB_EventType_DownloadProgress"
		Case #PB_EventType_DownloadStart: ReturnValue = "#PB_EventType_DownloadStart"
		Case #PB_EventType_PopupMenu: ReturnValue = "#PB_EventType_PopupMenu"
		Case #PB_EventType_PopupWindow: ReturnValue = "#PB_EventType_PopupWindow"
		Case #PB_EventType_StatusChange: ReturnValue = "#PB_EventType_StatusChange"
		Case #PB_EventType_TitleChange: ReturnValue = "#PB_EventType_TitleChange"
		Case #PB_EventType_Change: ReturnValue = "#PB_EventType_Change"
		Case #PB_EventType_CloseItem: ReturnValue = "#PB_EventType_CloseItem"
		Case #PB_EventType_Down: ReturnValue = "#PB_EventType_Down"
		Case #PB_EventType_DragStart: ReturnValue = "#PB_EventType_DragStart"
		; Case #PB_EventType_Drop: ReturnValue = "#PB_EventType_Drop"
		Case #PB_EventType_FirstCustomValue: ReturnValue = "#PB_EventType_FirstCustomValue"
		Case #PB_EventType_Focus: ReturnValue = "#PB_EventType_Focus"
		Case #PB_EventType_Input: ReturnValue = "#PB_EventType_Input"
		Case #PB_EventType_KeyDown: ReturnValue = "#PB_EventType_KeyDown"
		Case #PB_EventType_KeyPress: ReturnValue = "#PB_EventType_KeyPress"
		Case #PB_EventType_KeyUp: ReturnValue = "#PB_EventType_KeyUp"
		Case #PB_EventType_LeftButtonDown: ReturnValue = "#PB_EventType_LeftButtonDown"
		Case #PB_EventType_LeftButtonUp: ReturnValue = "#PB_EventType_LeftButtonUp"
		Case #PB_EventType_LeftClick: ReturnValue = "#PB_EventType_LeftClick"
		Case #PB_EventType_LeftDoubleClick: ReturnValue = "#PB_EventType_LeftDoubleClick"
		Case #PB_EventType_LostFocus: ReturnValue = "#PB_EventType_LostFocus"
		Case #PB_EventType_MiddleButtonDown: ReturnValue = "#PB_EventType_MiddleButtonDown"
		Case #PB_EventType_MiddleButtonUp: ReturnValue = "#PB_EventType_MiddleButtonUp"
		Case #PB_EventType_MouseEnter: ReturnValue = "#PB_EventType_MouseEnter"
		Case #PB_EventType_MouseLeave: ReturnValue = "#PB_EventType_MouseLeave"
		Case #PB_EventType_MouseMove: ReturnValue = "#PB_EventType_MouseMove"
		Case #PB_EventType_MouseWheel: ReturnValue = "#PB_EventType_MouseWheel"
		Case #PB_EventType_ReturnKey: ReturnValue = "#PB_EventType_ReturnKey"
		Case #PB_EventType_RightButtonDown: ReturnValue = "#PB_EventType_RightButtonDown"
		Case #PB_EventType_RightButtonUp: ReturnValue = "#PB_EventType_RightButtonUp"
		Case #PB_EventType_RightClick: ReturnValue = "#PB_EventType_RightClick"
		Case #PB_EventType_RightDoubleClick: ReturnValue = "#PB_EventType_RightDoubleClick"
		Case #PB_EventType_Select: ReturnValue = "#PB_EventType_Select"
		Case #PB_EventType_SizeItem: ReturnValue = "#PB_EventType_SizeItem"
		Case #PB_EventType_Unselect: ReturnValue = "#PB_EventType_Unselect"
		Case #PB_EventType_Up: ReturnValue = "#PB_EventType_Up"
		Case #PB_EventType_DeviceMotion: ReturnValue = "#PB_EventType_DeviceMotion"
		Case #PB_EventType_DeviceOrientation: ReturnValue = "#PB_EventType_DeviceOrientation"
		; Case #PB_EventType_DoubleTap: ReturnValue = "#PB_EventType_DoubleTap"
		; Case #PB_EventType_LongTap: ReturnValue = "#PB_EventType_LongTap"
		; Case #PB_EventType_Tap: ReturnValue = "#PB_EventType_Tap"
		Case #PB_EventType_Swipe: ReturnValue = "#PB_EventType_Swipe"
		Case #PB_EventType_GoogleMap_BoundsChanged: ReturnValue = "#PB_EventType_GoogleMap_BoundsChanged"
		Case #PB_EventType_GoogleMap_CenterChanged: ReturnValue = "#PB_EventType_GoogleMap_CenterChanged"
		Case #PB_EventType_GoogleMap_Click: ReturnValue = "#PB_EventType_GoogleMap_Click"
		Case #PB_EventType_GoogleMap_DblClick: ReturnValue = "#PB_EventType_GoogleMap_DblClick"
		Case #PB_EventType_GoogleMap_Drag: ReturnValue = "#PB_EventType_GoogleMap_Drag"
		Case #PB_EventType_GoogleMap_DragEnd: ReturnValue = "#PB_EventType_GoogleMap_DragEnd"
		Case #PB_EventType_GoogleMap_DragStart: ReturnValue = "#PB_EventType_GoogleMap_DragStart"
		Case #PB_EventType_GoogleMap_HeadingChanged: ReturnValue = "#PB_EventType_GoogleMap_HeadingChanged"
		Case #PB_EventType_GoogleMap_Idle: ReturnValue = "#PB_EventType_GoogleMap_Idle"
		Case #PB_EventType_GoogleMap_MapTypeIdChanged: ReturnValue = "#PB_EventType_GoogleMap_MapTypeIdChanged"
		Case #PB_EventType_GoogleMap_MouseMove: ReturnValue = "#PB_EventType_GoogleMap_MouseMove"
		Case #PB_EventType_GoogleMap_MouseOut: ReturnValue = "#PB_EventType_GoogleMap_MouseOut"
		Case #PB_EventType_GoogleMap_MouseOver: ReturnValue = "#PB_EventType_GoogleMap_MouseOver"
		Case #PB_EventType_GoogleMap_ProjectionChanged: ReturnValue = "#PB_EventType_GoogleMap_ProjectionChanged"
		Case #PB_EventType_GoogleMap_Resize: ReturnValue = "#PB_EventType_GoogleMap_Resize"
		Case #PB_EventType_GoogleMap_RightClick: ReturnValue = "#PB_EventType_GoogleMap_RightClick"
		Case #PB_EventType_GoogleMap_TilesLoaded: ReturnValue = "#PB_EventType_GoogleMap_TilesLoaded"
		Case #PB_EventType_GoogleMap_TiltChanged: ReturnValue = "#PB_EventType_GoogleMap_TiltChanged"
		Case #PB_EventType_GoogleMap_ZoomChanged: ReturnValue = "#PB_EventType_GoogleMap_ZoomChanged"
		Case #PB_EventType_GoogleMapMarker_AnimationChanged: ReturnValue = "#PB_EventType_GoogleMapMarker_AnimationChanged"
		Case #PB_EventType_GoogleMapMarker_Click: ReturnValue = "#PB_EventType_GoogleMapMarker_Click"
		Case #PB_EventType_GoogleMapMarker_ClickableChanged: ReturnValue = "#PB_EventType_GoogleMapMarker_ClickableChanged"
		Case #PB_EventType_GoogleMapMarker_CursorChanged: ReturnValue = "#PB_EventType_GoogleMapMarker_CursorChanged"
		Case #PB_EventType_GoogleMapMarker_DblClick: ReturnValue = "#PB_EventType_GoogleMapMarker_DblClick"
		Case #PB_EventType_GoogleMapMarker_Drag: ReturnValue = "#PB_EventType_GoogleMapMarker_Drag"
		Case #PB_EventType_GoogleMapMarker_DragEnd: ReturnValue = "#PB_EventType_GoogleMapMarker_DragEnd"
		Case #PB_EventType_GoogleMapMarker_DraggableChanged: ReturnValue = "#PB_EventType_GoogleMapMarker_DraggableChanged"
		Case #PB_EventType_GoogleMapMarker_DragStart: ReturnValue = "#PB_EventType_GoogleMapMarker_DragStart"
		Case #PB_EventType_GoogleMapMarker_FlatChanged: ReturnValue = "#PB_EventType_GoogleMapMarker_FlatChanged"
		Case #PB_EventType_GoogleMapMarker_IconChanged: ReturnValue = "#PB_EventType_GoogleMapMarker_IconChanged"
		Case #PB_EventType_GoogleMapMarker_MouseDown: ReturnValue = "#PB_EventType_GoogleMapMarker_MouseDown"
		Case #PB_EventType_GoogleMapMarker_MouseOut: ReturnValue = "#PB_EventType_GoogleMapMarker_MouseOut"
		Case #PB_EventType_GoogleMapMarker_MouseOver: ReturnValue = "#PB_EventType_GoogleMapMarker_MouseOver"
		Case #PB_EventType_GoogleMapMarker_MouseUp: ReturnValue = "#PB_EventType_GoogleMapMarker_MouseUp"
		Case #PB_EventType_GoogleMapMarker_PositionChanged: ReturnValue = "#PB_EventType_GoogleMapMarker_PositionChanged"
		Case #PB_EventType_GoogleMapMarker_RightClick: ReturnValue = "#PB_EventType_GoogleMapMarker_RightClick"
		Case #PB_EventType_GoogleMapMarker_ShapeChanged: ReturnValue = "#PB_EventType_GoogleMapMarker_ShapeChanged"
		Case #PB_EventType_GoogleMapMarker_TitleChanged: ReturnValue = "#PB_EventType_GoogleMapMarker_TitleChanged"
		Case #PB_EventType_GoogleMapMarker_VisibleChanged: ReturnValue = "#PB_EventType_GoogleMapMarker_VisibleChanged"
		Case #PB_EventType_GoogleMapMarker_ZIndexChanged: ReturnValue = "#PB_EventType_GoogleMapMarker_ZIndexChanged"
		Case #PB_EventType_FullCalendar_DayClick: ReturnValue = "#PB_EventType_FullCalendar_DayClick"
		Case #PB_EventType_FullCalendar_EventClick: ReturnValue = "#PB_EventType_FullCalendar_EventClick"
		Case #PB_EventType_FullCalendar_EventDragStart: ReturnValue = "#PB_EventType_FullCalendar_EventDragStart"
		Case #PB_EventType_FullCalendar_EventDragStop: ReturnValue = "#PB_EventType_FullCalendar_EventDragStop"
		Case #PB_EventType_FullCalendar_EventDrop: ReturnValue = "#PB_EventType_FullCalendar_EventDrop"
		Case #PB_EventType_FullCalendar_EventResize: ReturnValue = "#PB_EventType_FullCalendar_EventResize"
		Case #PB_EventType_FullCalendar_EventResizeStart: ReturnValue = "#PB_EventType_FullCalendar_EventResizeStart"
		Case #PB_EventType_FullCalendar_EventResizeStop: ReturnValue = "#PB_EventType_FullCalendar_EventResizeStop"
		Case #PB_EventType_FullCalendar_Select: ReturnValue = "#PB_EventType_FullCalendar_Select"
		Case #PB_EventType_FullCalendar_Unselect: ReturnValue = "#PB_EventType_FullCalendar_Unselect"
		Default : ReturnValue = "unknown EventType"
			
	EndSelect
	
	ProcedureReturn ReturnValue
	
EndProcedure

; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 100
; FirstLine = 63
; Folding = -
; EnableXP