﻿; ChartGadget-Include

; -> http://www.flotcharts.org/

EnableExplicit

OpenLibrary(#PB_Any, "userlibraries/jquery.flot.js/jquery.flot.js")
OpenLibrary(#PB_Any, "userlibraries/jquery.flot.js/jquery.flot.pie.js")
OpenLibrary(#PB_Any, "userlibraries/jquery.flot.js/jquery.flot.time.js")
OpenLibrary(#PB_Any, "userlibraries/jquery.flot.js/jquery.flot.symbol.js")

#PB_EventType_PlotHover = 99

Procedure ChartGadget_BindGadgetEvent(Gadget, Callback, EventType)
	
	!	var selector = $("#g_" + Gadget);

	Select EventType
		Case #PB_EventType_PlotHover
			! selector.data("onPlotHover", Callback)
		Case #PB_EventType_LeftClick
			! selector.data("onLeftClick", Callback)
	EndSelect
	
EndProcedure
RegisterUserGadgetProcedure("ChartGadget", "BindGadgetEvent", @ChartGadget_BindGadgetEvent())

Procedure ChartGadget_ResizeGadget(Gadget, x, y, Width, Height)
EndProcedure
RegisterUserGadgetProcedure("ChartGadget", "ResizeGadget", @ChartGadget_ResizeGadget())

; ------

Procedure ChartGadgetDraw(Gadget, ChartData, ChartOptions = #Null)
	
	!	$.plot("#g_" + Gadget, ChartData, ChartOptions);	
	
EndProcedure

Procedure ChartGadget(Gadget, x, y, Width, Height, Flags = 0)
	
	!	var Gadget = cCommon.SetGadgetAndStuff(Gadget);
	
	!	var selector = $("<div />");
	
	!	cCommon.SetGadgetPosition(selector, x, y, Width, Height);
	
	!	selector.attr("id", "g_" + Gadget);
	
	!	selector.bind("plotclick", function (event, pos, item) {
	!		cb = selector.data("onLeftClick");
	!		if (typeof cb === "function") {
	!			cEvent.eventGadget = Gadget;
	!			cEvent.eventType = cConstants.PB_EventType_LeftClick;
	!			cb(event, pos, item);
	!		}	
	!	});
	
	!	selector.bind("plothover", function (event, pos, item) {
	!		cb = selector.data("onPlotHover");
	!		if (typeof cb === "function") {
	!			cEvent.eventGadget = Gadget;
	!			cEvent.eventType = PB_EventType_PlotHover;
	!			cb(event, pos, item);
	!		}	
	!	});
	
	!	selector.data("GadgetType", "ChartGadget");
	
	!	cCommon.CurrentContainer.append(selector);
	
	!	return Gadget;
	
EndProcedure

; IDE Options = PureBasic 5.40 LTS (Windows - x86)
; CursorPosition = 35
; Folding = 1
; EnableXP