﻿; DataTable-Include

EnableExplicit

Enumeration
	#PB_EventType_DataTable_Activate = 1
	#PB_EventType_DataTable_BeforeActivate = 2
EndEnumeration

Procedure DataTableGadget_AddGadgetItem(Gadget, Position, Text, ImageID, Flags) 
EndProcedure
RegisterUserGadgetProcedure("DataTableGadget", "AddGadgetItem", @DataTableGadget_AddGadgetItem())

Procedure DataTableGadget_GetGadgetState(Gadget)
EndProcedure
RegisterUserGadgetProcedure("DataTableGadget", "GetGadgetState", @DataTableGadget_GetGadgetState())

Procedure DataTableGadget_RemoveGadgetItem(Gadget, Position)
EndProcedure
RegisterUserGadgetProcedure("DataTableGadget", "RemoveGadgetItem", @DataTableGadget_RemoveGadgetItem())

Procedure DataTableGadget_SetGadgetState(Gadget, State)
EndProcedure
RegisterUserGadgetProcedure("DataTableGadget", "SetGadgetState", @DataTableGadget_SetGadgetState())

Procedure DataTableGadget_GetGadgetItemText(Gadget, Position, Column)
EndProcedure
RegisterUserGadgetProcedure("DataTableGadget", "GetGadgetItemText", @DataTableGadget_GetGadgetItemText())

Procedure DataTableGadget_SetGadgetItemText(Gadget, Position, Text, Column)
EndProcedure
RegisterUserGadgetProcedure("DataTableGadget", "SetGadgetItemText", @DataTableGadget_SetGadgetItemText())

Procedure DataTableGadget_BindGadgetEvent(Gadget, Callback, EventType)
EndProcedure
RegisterUserGadgetProcedure("DataTableGadget", "BindGadgetEvent", @DataTableGadget_BindGadgetEvent())

Procedure DataTableGadget_UnbindGadgetEvent(Gadget, Callback, EventType)
EndProcedure
RegisterUserGadgetProcedure("DataTableGadget", "UnbindGadgetEvent", @DataTableGadget_UnbindGadgetEvent())

; ------------

Procedure DataTableGadget(Gadget, x, y, Width, Height, Flags = 0)
	
	!	var Gadget = cCommon.SetGadgetAndStuff(Gadget);
	!	var divSelector = $("<div />");
	!	var tableSelector = $("<table id='example' class='display'></table>");
	! divSelector.append(tableSelector);
	!	divSelector.attr("id", "g_" + Gadget);
	!	cCommon.SetGadgetPosition(divSelector, x, y, Width, Height);
	!	divSelector.data("GadgetType", "DataTableGadget");
	!	cCommon.CurrentContainer.append(divSelector);
	
	! var dataSet = [ 
	! [ "Tiger Nixon", "System Architect", "Edinburgh", "5421", "2011/04/25", "$320,800" ]
	! ];	

! var dataColumns = [
!             { title: "Name" },
!             { title: "Position" },
!             { title: "Office" },
!             { title: "Extn." },
!             { title: "Start date" },
!             { title: "Salary" }
!         ];

! tableSelector.DataTable({
!		data: dataSet,
!		columns: dataColumns,
!  	"scrollY": 200,
!   "scrollX": true,
!  	"bPaginate": false,
! 	"bLengthChange": false,
! 	"bFilter": false,
! 	"sDom": '<"top">rt<"bottom"flp><"clear">'
!	});	


!     tableSelector.find("tbody").on( 'click', 'tr', function () {
!				if ( $(this).hasClass('selected') ) {
!					$(this).removeClass('selected');
!				} else {
!					tableSelector.find('tr.selected').removeClass('selected');
!					$(this).addClass('selected');
!				}
!     });


	!	return Gadget;
	
EndProcedure

; IDE Options = PureBasic 5.41 LTS (Windows - x86)
; CursorPosition = 55
; FirstLine = 42
; Folding = --
; EnableXP