﻿XIncludeFile "..\..\p2w.pbi"

P2W_Converter_SetProfile("pb2cordova")

UseCordova()

XIncludeFile "contacts.pbi"

Structure sName
	formatted.s
	familyName.s
	givenName.s
	middleName.s
	honorificSuffix.s
	honorificPrefix.s
EndStructure


Structure sContact
	name.sName
EndStructure


Procedure onSuccess(Array contacts.sContact(1)) 
	
	Protected i
	
	For i = 0 To ArraySize(contacts()) - 1
		! cRequester.MessageRequester("", "Formatted: "    + contacts[i].name.formatted + "\n" +
		!                     "Family Name: "  + contacts[i].name.familyName + "\n" +
		!                     "Given Name: "   + contacts[i].name.givenName + "\n" +
		!                     "Middle Name: "  + contacts[i].name.middleName      + "\n" +
		!                     "Suffix: "       + contacts[i].name.honorificSuffix + "\n" +
		!                     "Prefix: "       + contacts[i].name.honorificPrefix)
	Next
	
EndProcedure

Procedure onError(contactError)
	! alert('onError!');
EndProcedure

Procedure onDeviceReady()
	
	! var options = new ContactFindOptions();
	! options.filter = "";
	! filter = ["displayName", "name"];	
	
	ContactsFind(@onSuccess(), @onError(), options)
	
EndProcedure

! document.addEventListener("deviceready", onDeviceReady, false);



; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 32
; FirstLine = 3
; Folding = -
; EnableUnicode
; EnableXP