XIncludeFile "..\p2w.pbi"

P2W_Converter_SetProfile("pb2webtest")

Procedure GetCurrentPosition_Success(coords.s)
  
  Protected  Latitude.s  = StringField(coords, 1, ";") ; The latitude as a decimal number
  Protected  Longitude.s = StringField(coords, 2, ";") ; The longitude as a decimal number
  
	OpenWindow(#PB_Any, #PB_Ignore, #PB_Ignore, 660, 500, "GetCurrentPosition-Test", #PB_Window_ScreenCentered)
	
	Protected GoogleMap = P2W_GoogleMapGadget(#PB_Any, 10, 10, 640, 480)
	
	AddGadgetItem(GoogleMap, -1, Latitude + "," + Longitude)
	
	SetGadgetAttribute(GoogleMap, #GoogleMapType, #GoogleMapTypeRoadmap)
	
	SetGadgetAttribute(GoogleMap, #GoogleMapZoom, 16)
	
	SetGadgetAttribute(GoogleMap, #GoogleMapCenter, 0)
	
	SetGadgetItemText(GoogleMap, 0, "You are here! (perhaps)" + 
	                                "<br />Latitude: " + StrF(ValF(Latitude), 4) +
	                                "<br />Longitude: " + StrF(ValF(Longitude), 4), 
	                  #GoogleMapInfoWindow | #GoogleMapInfoWindowAutoOpen)
	
EndProcedure

Procedure GetCurrentPosition_Error(Error.s)
  
  MessageRequester("What a pity!", Error)
  
EndProcedure

P2W_Geolocation_GetCurrentPosition(@GetCurrentPosition_Success(), @GetCurrentPosition_Error())
; IDE Options = PureBasic 5.21 LTS (Windows - x86)
; CursorPosition = 22
; Folding = -
; EnableXP