EnableExplicit

XIncludeFile "..\..\p2w.pbi"

XIncludeFile "AdditionalStringGadgetFlags.pbf"

P2W_Converter_SetProfile("pb2webtest")

Procedure StringGadgetEvent()
	
	SetGadgetText(#lbl_PB_String_Color2, GetGadgetText(#txt_PB_String_Color))
	SetGadgetState(#chk_PB_String_Color_IsValid, GetGadgetItemState(#txt_PB_String_Color, #PB_String_IsValid))
	
	SetGadgetText(#lbl_PB_String_Date2, GetGadgetText(#txt_PB_String_Date))
	SetGadgetState(#chk_PB_String_Date_IsValid, GetGadgetItemState(#txt_PB_String_Date, #PB_String_IsValid))
	
	SetGadgetText(#lbl_PB_String_DateTime2, GetGadgetText(#txt_PB_String_DateTime))
	SetGadgetState(#chk_PB_String_DateTime_IsValid, GetGadgetItemState(#txt_PB_String_DateTime, #PB_String_IsValid))
	
	SetGadgetText(#lbl_PB_String_DateTimeLocal2, GetGadgetText(#txt_PB_String_DateTimeLocal))
	SetGadgetState(#chk_PB_String_DateTimeLocal_IsValid, GetGadgetItemState(#txt_PB_String_DateTimeLocal, #PB_String_IsValid))
	
	SetGadgetText(#lbl_PB_String_Email2, GetGadgetText(#txt_PB_String_Email))
	SetGadgetState(#chk_PB_String_Email_IsValid, GetGadgetItemState(#txt_PB_String_Email, #PB_String_IsValid))
	
	SetGadgetText(#lbl_PB_String_Month2, GetGadgetText(#txt_PB_String_Month))
	SetGadgetState(#chk_PB_String_Month_IsValid, GetGadgetItemState(#txt_PB_String_Month, #PB_String_IsValid))
	
	SetGadgetText(#lbl_PB_String_Number2, GetGadgetText(#txt_PB_String_Number))
	SetGadgetState(#chk_PB_String_Number_IsValid, GetGadgetItemState(#txt_PB_String_Number, #PB_String_IsValid))
	
	SetGadgetText(#lbl_PB_String_Range2, GetGadgetText(#txt_PB_String_Range))
	SetGadgetState(#chk_PB_String_Range_IsValid, GetGadgetItemState(#txt_PB_String_Range, #PB_String_IsValid))
	
	SetGadgetText(#lbl_PB_String_Search2, GetGadgetText(#txt_PB_String_Search))
	SetGadgetState(#chk_PB_String_Search_IsValid, GetGadgetItemState(#txt_PB_String_Search, #PB_String_IsValid))
	
	SetGadgetText(#lbl_PB_String_Tel2, GetGadgetText(#txt_PB_String_Tel))
	SetGadgetState(#chk_PB_String_Tel_IsValid, GetGadgetItemState(#txt_PB_String_Tel, #PB_String_IsValid))
	
	SetGadgetText(#lbl_PB_String_Time2, GetGadgetText(#txt_PB_String_Time))
	SetGadgetState(#chk_PB_String_Time_IsValid, GetGadgetItemState(#txt_PB_String_Time, #PB_String_IsValid))
	
	SetGadgetText(#lbl_PB_String_Url2, GetGadgetText(#txt_PB_String_Url))
	SetGadgetState(#chk_PB_String_Url_IsValid, GetGadgetItemState(#txt_PB_String_Url, #PB_String_IsValid))
	
	SetGadgetText(#lbl_PB_String_Week2, GetGadgetText(#txt_PB_String_Week))
	SetGadgetState(#chk_PB_String_Week_IsValid, GetGadgetItemState(#txt_PB_String_Week, #PB_String_IsValid))
	
	SetGadgetText(#lbl_PB_String_Pattern2, GetGadgetText(#txt_PB_String_Pattern))
	SetGadgetState(#chk_PB_String_Pattern_IsValid, GetGadgetItemState(#txt_PB_String_Pattern, #PB_String_IsValid))
	
	SetGadgetText(#lbl_PB_String_Required2, GetGadgetText(#txt_PB_String_Required))
	SetGadgetState(#chk_PB_String_Required_IsValid, GetGadgetItemState(#txt_PB_String_Required, #PB_String_IsValid))
	
EndProcedure

OpenfrmMain()

SetGadgetAttribute(#txt_PB_String_Color,         #PB_String_Type, #PB_String_Color)
SetGadgetAttribute(#txt_PB_String_Date,          #PB_String_Type, #PB_String_Date)
SetGadgetAttribute(#txt_PB_String_DateTime,      #PB_String_Type, #PB_String_DateTime)
SetGadgetAttribute(#txt_PB_String_DateTimeLocal, #PB_String_Type, #PB_String_DateTimeLocal)
SetGadgetAttribute(#txt_PB_String_Email,         #PB_String_Type, #PB_String_Email)
SetGadgetAttribute(#txt_PB_String_Month,         #PB_String_Type, #PB_String_Month)
SetGadgetAttribute(#txt_PB_String_Number,        #PB_String_Type, #PB_String_Number)
SetGadgetAttribute(#txt_PB_String_Range,         #PB_String_Type, #PB_String_Range)
SetGadgetAttribute(#txt_PB_String_Search,        #PB_String_Type, #PB_String_Search)
SetGadgetAttribute(#txt_PB_String_Tel,           #PB_String_Type, #PB_String_Tel)
SetGadgetAttribute(#txt_PB_String_Time,          #PB_String_Type, #PB_String_Time)
SetGadgetAttribute(#txt_PB_String_Url,           #PB_String_Type, #PB_String_Url)
SetGadgetAttribute(#txt_PB_String_Week,          #PB_String_Type, #PB_String_Week)
SetGadgetAttribute(#txt_PB_String_Pattern,       #PB_String_Pattern, @"^[A-Za-z]{3}$") ; 3 letters
SetGadgetAttribute(#txt_PB_String_Required,      #PB_String_Required, #True)


BindGadgetEvent(#txt_PB_String_Color,         @StringGadgetEvent())
BindGadgetEvent(#txt_PB_String_Date,          @StringGadgetEvent())
BindGadgetEvent(#txt_PB_String_DateTime,      @StringGadgetEvent())
BindGadgetEvent(#txt_PB_String_DateTimeLocal, @StringGadgetEvent())
BindGadgetEvent(#txt_PB_String_Email,         @StringGadgetEvent())
BindGadgetEvent(#txt_PB_String_Month,         @StringGadgetEvent())
BindGadgetEvent(#txt_PB_String_Number,        @StringGadgetEvent())
BindGadgetEvent(#txt_PB_String_Range,         @StringGadgetEvent())
BindGadgetEvent(#txt_PB_String_Search,        @StringGadgetEvent())
BindGadgetEvent(#txt_PB_String_Tel,           @StringGadgetEvent())
BindGadgetEvent(#txt_PB_String_Time,          @StringGadgetEvent())
BindGadgetEvent(#txt_PB_String_Url,           @StringGadgetEvent())
BindGadgetEvent(#txt_PB_String_Week,          @StringGadgetEvent())
BindGadgetEvent(#txt_PB_String_Pattern,       @StringGadgetEvent())
BindGadgetEvent(#txt_PB_String_Range,         @StringGadgetEvent())

StringGadgetEvent()
; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 1
; Folding = -
; EnableXP