﻿
XIncludeFile "..\..\..\p2w.pbi"
XIncludeFile "..\..\..\UserGadgets\MonacoEditorGadget\MonacoEditorGadget.pbi"

P2W_Converter_SetProfile("pb2webtest")

Enumeration
	#Desktop
	#lstFiles
	#Editor
EndEnumeration

Procedure EditorReady()
	
	Protected PBDefinition.s = LoadTextfileFromServer("pb.d.ts")
	
	SetMonacoTheme(#Editor, "vs-dark")
	
	Protected TsFileContent.s = LoadTextfileFromServer("test1.ts")
	
	SetGadgetText(#Editor, TsFileContent)
	
EndProcedure

Procedure lstFilesEvent()
	
	Protected TsFileContent.s = LoadTextfileFromServer(GetGadgetText(#lstFiles))
	
	SetGadgetText(#Editor, TsFileContent)
	
	Protected Counter
	
	For Counter = 0 To CountGadgetItems(#lstFiles) - 1
		
		If GetGadgetItemText(#lstFiles, Counter) <> GetGadgetText(#lstFiles)
			Protected bla.s = LoadTextfileFromServer(GetGadgetItemText(#lstFiles, Counter))
			AddTypescriptDeclaration(bla, GetGadgetItemText(#lstFiles, Counter))
		EndIf
		
	Next
	
	MonacoEditorRefresh(#Editor)
	
EndProcedure

OpenWindow(#Desktop, 0, 0, 0, 0, "", #PB_Window_BorderLess | #PB_Window_Maximize)

ListViewGadget(#lstFiles, 10, 10, 200, WindowHeight(#Desktop) - 20)

AddGadgetItem(#lstFiles, -1, "test1.ts")
AddGadgetItem(#lstFiles, -1, "test2.ts")


MonacoEditorGadget(#Editor, 220, 10, 800, WindowHeight(#Desktop) - 20, 0, @EditorReady())

BindGadgetEvent(#lstFiles, @lstFilesEvent())

DataSection
	
	IncludeBinary "pb.d.ts"
	
	IncludeBinary "test1.ts"
	IncludeBinary "test2.ts"
	
EndDataSection

; IDE Options = PureBasic 5.50 (Windows - x86)
; CursorPosition = 42
; Folding = -
; EnableXP